Pagina 1 di 3 123 UltimaUltima
Risultati da 1 a 10 di 24
  1. #1
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    50
    Professione
    Ingegnere
    Regione
    campania
    Software
    ansys13 solidworks2012 autocad2011 matlabr2012a mathematica8.0

    Predefinito circonferenze a partire da nuvola di punti

    Salve a tutti!
    Per il mio lavoro di tesi devo realizzare un modello CAD di una piastra forata con fori disposti in maniera casuale.
    Mediante un algoritmo implementato in MatLab ho determinato la nuvola di punti che ho passato a SolidWorks tramite una macro che ho trovato in una delle discussioni su questo forum.

    Mi servirebbe un suggerimento per realizzare a partire dai punti importati una serie di circonferenze senza dover selezionare uno alla volta i vari punti.
    (i punti sono più di 200)

    Grazie per l'aiuto !!!

  2. #2
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    50
    Professione
    Ingegnere
    Regione
    campania
    Software
    ansys13 solidworks2012 autocad2011 matlabr2012a mathematica8.0

    Predefinito

    La versione che uso di SolidWorks è la 2012

  3. #3
    Moderatore L'avatar di Onda
    Iscritto dal
    2009
    Messaggi
    1035
    Professione
    Ingegnere Meccanico settore Navale
    Regione
    Italia
    Software
    SolidWorks 2015, Rhino v5, Autocad 2008, Patran 2014, Nastran 2014

    Predefinito

    Credo che il metodo più semplice sia di fare una macro che legga il file con i punti e li assegni alla creazione del centro delle coordinate del cerchio. piuttosto che fare i punti e poi andarli a selezionare.
    "I problemi non possono essere risolti dallo stesso atteggiamento mentale che li ha creati"
    A. Einstein

  4. #4
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    50
    Professione
    Ingegnere
    Regione
    campania
    Software
    ansys13 solidworks2012 autocad2011 matlabr2012a mathematica8.0

    Predefinito

    Lo so che si tratta di un problema banale ma
    siccome non ho esperienza nella scrittura delle macro mi
    potresti consigliare dove reperire materiale a riguardo?
    Grazie per l'aiuto!

  5. #5
    Moderatore L'avatar di Onda
    Iscritto dal
    2009
    Messaggi
    1035
    Professione
    Ingegnere Meccanico settore Navale
    Regione
    Italia
    Software
    SolidWorks 2015, Rhino v5, Autocad 2008, Patran 2014, Nastran 2014

    Predefinito

    questa macro è un abbozzo.
    manca tutta la parte di apertura del file e della sua lettura.
    mi ci vuole troppo tempo ora a scriverla. ma dovresti trovare qualcosa online. in ogni caso è semplice VB.

    attenzione a sostituire con il corretto nome del piano sul quale vuoi fare gli schizzi, il mio si chiama:"Superiore_XY"



    Dim swApp As Object
    Dim Part As Object
    Dim boolstatus As Boolean
    Dim longstatus As Long, longwarnings As Long

    Sub main()
    Set swApp = Application.SldWorks
    Set Part = swApp.ActiveDoc
    Dim myModelView As Object
    Dim X As Double
    Dim Y As Double
    Dim Radius As Double
    Dim i As Integer


    'eliminare questa riga è la lunghezza del file stesso che determina il ciclo di loop
    i = 10

    Set myModelView = Part.ActiveView
    myModelView.FrameState = swWindowState_e.swWindowMaximized
    boolstatus = Part.Extension.SelectByID2("Superiore_XY", "PLANE", 0, 0, 0, False, 0, Nothing, 0)
    Part.SketchManager.InsertSketch True
    Part.ClearSelection2 True
    Dim skSegment As Object
    'inserire apertura file con all'interno coordinate e raggio
    'impostare il ciclo Do fino a EOF (end of file)
    Do Until i = 1
    'inserire qui lettura delle coordinate e del raggio
    ' sostituire le definizioni sottostanti con i valori prelevati dal file
    X = 0.01
    Y = 0.02
    Radius = i / 10
    '''''

    Set skSegment = Part.SketchManager.CreateCircle(X, Y, 0#, (Radius + X), Y, 0#)
    Part.SketchAddConstraints "sgFIXED"
    Part.ClearSelection2 True
    'eliminare la riga sottostante
    i = i - 1
    Loop
    Part.SketchManager.InsertSketch True
    End Sub
    "I problemi non possono essere risolti dallo stesso atteggiamento mentale che li ha creati"
    A. Einstein

  6. #6
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    50
    Professione
    Ingegnere
    Regione
    campania
    Software
    ansys13 solidworks2012 autocad2011 matlabr2012a mathematica8.0

    Predefinito

    Grazie mille per l'aiuto!
    Vedo se riesco a risolvere!!!

  7. #7
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    50
    Professione
    Ingegnere
    Regione
    campania
    Software
    ansys13 solidworks2012 autocad2011 matlabr2012a mathematica8.0

    Predefinito

    credo di dover provare qualche altra via
    non avendo mai programmato macro in sw

  8. #8
    Moderatore L'avatar di Onda
    Iscritto dal
    2009
    Messaggi
    1035
    Professione
    Ingegnere Meccanico settore Navale
    Regione
    Italia
    Software
    SolidWorks 2015, Rhino v5, Autocad 2008, Patran 2014, Nastran 2014

    Predefinito

    Il visual basic è utilissimo per tante applicazioni.
    ti conviene imparare un poco di visual basic piuttosto che inserire i comandi a mano.
    Alla fine del lavoro forse hai perso più tempo, ma hai in mano uno strumento molto potente.

    sei riuscito a far girare la macro?
    "I problemi non possono essere risolti dallo stesso atteggiamento mentale che li ha creati"
    A. Einstein

  9. #9
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    50
    Professione
    Ingegnere
    Regione
    campania
    Software
    ansys13 solidworks2012 autocad2011 matlabr2012a mathematica8.0

    Predefinito

    No non ancora...
    purtroppo non ho mai dovuto utilizzare il visual basic
    prima d'ora.
    Mi rendo conto che si tratta di uno strumento molto potente

  10. #10
    Moderatore L'avatar di Onda
    Iscritto dal
    2009
    Messaggi
    1035
    Professione
    Ingegnere Meccanico settore Navale
    Regione
    Italia
    Software
    SolidWorks 2015, Rhino v5, Autocad 2008, Patran 2014, Nastran 2014

    Predefinito

    per far girare la macro:
    apri una nuova parte in SW.
    vai su strumenti->macro->registra
    poi strumenti->macro->ferma. Salva la macro appena creata con un nome qualsiasi
    quindi :
    strumenti->macro->modifica
    copia incolla nella macro il testo che ti ho dato io
    sostituisci il nome del piano corretto all'interno del testo della macro e salvala
    ora vai in strumenti->macro-> esegui
    e richiama la macro precedentemente salvata.
    questo è l'inizio
    prova
    "I problemi non possono essere risolti dallo stesso atteggiamento mentale che li ha creati"
    A. Einstein


  • Pagina 1 di 3 123 UltimaUltima

    Discussioni Simili

    1. NUVOLA DI PUNTI
      Di andreagzz nel forum Reverse Engineering
      Risposte: 15
      Ultimo Messaggio: 15-05-2017, 16: 15
    2. da nuvola di punti a superfice
      Di LoSte nel forum Creo Parametric - Modellazione di parti e Lamiera
      Risposte: 4
      Ultimo Messaggio: 04-12-2009, 16: 16
    3. importazione nuvola di punti .asc in pro-e
      Di jackorion nel forum Creo Parametric (ex Pro/E)
      Risposte: 17
      Ultimo Messaggio: 27-01-2009, 19: 51
    4. Gestire nuvola di punti
      Di cccicccio nel forum Reverse Engineering
      Risposte: 1
      Ultimo Messaggio: 10-10-2008, 22: 00
    5. Importare nuvola di punti
      Di peppo82 nel forum Solidworks
      Risposte: 0
      Ultimo Messaggio: 07-07-2008, 11: 39

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti